import Login from "../Login.vue";
import {mount} from "@vue/test-utils";
import { shallowMount } from '@vue/test-utils'
import Service from "../service/Service";

// Rien a tester dans Index.vue, car c'est juste un "aggrégateur" pour d'autres composants.

test('Login', () => {

    const wrapper = shallowMount(Login)

    wrapper.vm.logIn = jest.fn()

    expect(wrapper.vm.logIn).toHaveBeenCalledTimes(0);

    // console.log(Service.login())
    const button = wrapper.find('button');

    button.trigger('click');
    expect(wrapper.vm.logIn).toHaveBeenCalledTimes(1);

})